apiVersion: v1
kind: Service
metadata:
  name: slurm-web-agent
  namespace: slurm-web
spec:
  ports:
  - name: http
    port: 5012
    protocol: TCP
    targetPort: http
  selector:
    app.kubernetes.io/instance: slurm-web-agent
    app.kubernetes.io/name: slurm-web-agent
  sessionAffinity: None
  type: ClusterIP
